Subject: bug#46859: 28.0.50; [PATCH]: Add option to truncate long lines in xref.el

From: Juri Linkov <[email-masked]>
Date: Wed, 03 Mar 2021 11:05:20 +0200

>> But maybe your new option would be easier to customize.
>
> Yeah, maybe.  However, without benchmarking, it is quite clear that
> adding your option is faster than my patch, since ripgrep has to search
> the whole minified file.  I assume it short circuits, so that results
> are delivered quicker to emacs.  Maybe this bug can be closed.

Your new option is still necessary for the default case when
'xref-search-program' is 'grep' since GNU grep has no option
to truncate output, so xref should do post-processing for grep.